function Correlations=cluster_fMRI(OrigFilt)
% This function returns the correlations asociated to the current 
% volume of data which is a global variable called 'volume'.
% It returns a matrix of correlation coefficients of the same dimensions as the 
% spatial dimensions of 'volume' (that's without the time dimension).

global volume res_filt DIM main_fig corr_coef slice;

corr_coef=zeros(DIM(1),DIM(2),DIM(3));

EditHandle = findobj(main_fig,'Tag','LongEpoch');
long_epoch=str2num(get(EditHandle,'String'));  

EditHandle = findobj(main_fig,'Tag','x_ini');
xi=str2num(get(EditHandle,'String')); 

EditHandle = findobj(main_fig,'Tag','x_fin');
xf=str2num(get(EditHandle,'String')); 

EditHandle = findobj(main_fig,'Tag','y_ini');
yi=str2num(get(EditHandle,'String')); 

EditHandle = findobj(main_fig,'Tag','y_fin');
yf=str2num(get(EditHandle,'String')); 


% Controlamos la epoch inicial y final
EditHandle = findobj(main_fig,'Tag','epoch_ini');
epoch_ini=str2num(get(EditHandle,'String'));        
EditHandle = findobj(main_fig,'Tag','epoch_fin');
epoch_fin=str2num(get(EditHandle,'String'));

% Actualizamos el numero de epochs
num_epoch=epoch_fin-epoch_ini+1;
EditHandle = findobj(gcbf,'Tag','NumEpochs');
s=sprintf('%d',num_epoch);
set(EditHandle,'String',s)


% Ojo cambiar el tema este cuando se haga en volumetrico
% Recordar que xi,xf son las filas y yi,yf las columnas !!!!!!
ti=(epoch_ini-1)*long_epoch+1;
tf=epoch_fin*long_epoch;

if ((xi==xf) & (yi==yf))
   xi=1;xf=DIM(2);
   yi=1;yf=DIM(1);
end

xi
xf
yi
yf
long_epoch
num_epoch

if(OrigFilt==0)
   aux=squeeze(volume(yi:yf,xi:xf,slice,ti:tf));
else
   aux=squeeze(res_filt(yi:yf,xi:xf,slice,ti:tf));
end


Correlations=ActivationMap(aux,long_epoch/2,num_epoch*2,OrigFilt);
corr_coef(yi:yf,xi:xf,slice)=Correlations;


