function plot_epoch(target,num_epoch,long_epoch,sequence)

% Plot a time series drawing the non activated epoch in blue and the activated
% ones in red. The parameters are:
% target: the vector containing the time serie
% num_epoch: the total number of epochs or blocks
% long_epoch: the number of samples per epoch
% sequence: 1 means begins with rest and 0 means begins with activation.
dim = size(target);
% Cada epoch esta compuesta de un periodo de rest + un periodo de activacion
% en principio de igual longitud.
num_epoch=num_epoch*2;
long_epoch=long_epoch/2;
long = num_epoch*long_epoch;
if dim(1)<long
   valor = min(target);
   for i=dim(1):long
      target(i)=valor;
   end
end


for j=1:(long)
   b(j)=j;
end

hold on
for i=0:(num_epoch-1)
   liminf = i*long_epoch;
   limsup = liminf+long_epoch;
   if liminf == 0 liminf=1; end
   if mod(i,2)==sequence
      plot(b(liminf:limsup),target(liminf:limsup),'r');    
   else plot(b(liminf:limsup),target(liminf:limsup),'b');
   end         
end

h=gca;

for i=0:num_epoch
   ax(i+1)=i*long_epoch;
end

set(h,'XTick',ax);
set(h,'XGrid','on') 

min_y=min(target)-0.01;
max_y=max(target)+0.01;

set(h,'YLim',[min_y,max_y]);
